运营管理/租户管理(Plus)/工单管理相关接口
PUTTicket Operations起始版本 3.0.0同步需要认证
修改工单状态
修改工单状态
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
changeticketstatusObject必填changeticketstatus 请求体结构
statusEventTicketStatusEvent必填状态事件。
commentString可选。
systemTagsList可选。
userTagsList可选。
响应状态
请求地址
PUT/zstack/v1/tickets/{uuid}/actions
/zstack/v1/tickets/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/tickets/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeticketstatus":{"statusEvent":"<statusEvent>","comment":"<comment>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "f4483251fdfd48cdae0dbb966a2652c9", "name": "ticket", "description": "ticket description", "status": "IntermediateApproved", "request": [ { "requestName": "create vm", "apiName": "org.zstack.header.vm.APICreateVmInstanceMsg", "executeTimes": 1.0, "apiBody": { "name": "vm name", "instanceOfferingUuid": "e539401d4cf74a6c93b173b9fa01d4e6", "imageUuid": "16e0a61a2ca145eaaae6c7e9ef72ae31", "l3NetworkUuids": [ "0fbf9d6545e6480790ee9b2f7da59f65" ], "strategy": "InstantStart", "timeout": -1.0, "headers": {}, "id": "3f1b84f2f3ca453caf3086625d57eff5", "createdTime": 1.56402555717E12 } } ], "accountSystemType": "iam2", "ticketTypeUuid": "3b933e9aaf2d49b9a3dcf0c92867790f", "accountSystemContext": { "projectUuid": "21423d5537cc4891b33745b3ad9045f8", "virtualIDUuid": "1470a380fe454b4298ba178245aa499c" }, "flowCollectionUuid": "6aa051e47de74658885bca987b9c4a35" } }变更历史
此 API 暂无变更历史记录。
